Skip to main content
`Ctrl`+`K`

# PetscGetFullPath

Given a filename, returns the fully qualified file name.

## Synopsis

    PetscErrorCode PetscGetFullPath(const char path[], char fullpath[], size_t flen)

Not Collective

## Input Parameters

- path - pathname to qualify

- flen - size of `fullpath`

## Output Parameter

- fullpath - buffer to hold the full pathname

## Note

Converts `~username/` and `~/` to appropriate forms

## Developer Note

On Microsoft Windows full paths may begin with DriveLetter: so these must be properly handled

## See Also

`PetscGetRelativePath()`

## Level

developer

## Location

src/sys/fileio/fpath.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages